Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.parsing
Interface DefaultsDefinition

All Superinterfaces:
  BeanMetadataElement

All Known Implementing Classes:
  DocumentDefaultsDefinition

    public interface DefaultsDefinition

extends BeanMetadataElement

Marker interface for a defaults definition, extending BeanMetadataElement to inherit source exposure.

Concrete implementations are typically based on 'document defaults', for example specified at the root tag level within an XML document.

Since:
  2.0.2
Author:
  Juergen Hoeller
See Also:
  `DocumentDefaultsDefinition`, `ReaderEventListener.defaultsRegistered(DefaultsDefinition)`

Method Summary

Methods inherited from interface org.springframework.beans.BeanMetadataElement
`getSource`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD